<app-toolbar [title]="'simple.local'"></app-toolbar>
<mat-list>
	<mat-list-item *ngIf="isElectron">
		<mat-icon matListIcon>brightness_4</mat-icon>
		<h3 matLine>{{ 'simple.autoStart' | translate }}</h3>
		<mat-slide-toggle color="primary" [checked]="autoStart" (change)="toggleAutoStart($event.checked)"></mat-slide-toggle>
	</mat-list-item>
	<mat-list-item>
		<mat-icon matListIcon>translate</mat-icon>
		<h3 matLine>{{ 'simple.language' | translate }}</h3>
		<button
			class="flag"
			mat-stroked-button
			(click)="preferencesService.setLanguage('en')"
			[ngClass]="translateService.currentLang == 'en' ? 'active' : ''"
		>
			<img src="assets/images/flags/en.svg" draggable="false" />
		</button>
		<button
			class="flag"
			mat-stroked-button
			(click)="preferencesService.setLanguage('de')"
			[ngClass]="translateService.currentLang == 'de' ? 'active' : ''"
		>
			<img src="assets/images/flags/de.svg" draggable="false" />
		</button>
	</mat-list-item>
	<mat-list-item>
		<mat-icon matListIcon>mic</mat-icon>
		<h3 matLine>{{ 'simple.microphoneSensitivity' | translate }} {{ '(' + m.round(microphoneSensitivity * 100) + '/100)' }}</h3>
		<mat-slider
			mat-line
			min="0"
			max="1"
			step="0.01"
			[value]="microphoneSensitivity"
			(input)="sliderMoved($event.value)"
			(change)="onChange($event.value)"
		>
		</mat-slider>
	</mat-list-item>
	<mat-list-item>
		<mat-icon matListIcon>mic_none</mat-icon>
		<h3 matLine>{{ 'simple.testMicrophoneSensitivity' | translate }}</h3>
		<h3 matLine>{{ ((mediaService.speakingSubject | async) ? 'simple.speaking' : 'simple.notSpeaking') | translate }}</h3>
		<button
			mat-icon-button
			(click)="toggleMicrophone()"
			aria-label="Mute/Unmute microphone"
			matTooltip="{{
				((mediaService.microphoneStreamSubject | async) && !(mediaService.microphoneMutedSubject | async)
					? 'simple.microphoneMute'
					: 'simple.microphoneUnmute'
				) | translate
			}}"
		>
			<mat-icon>{{
				(mediaService.microphoneStreamSubject | async) && !(mediaService.microphoneMutedSubject | async) ? 'mic' : 'mic_off'
			}}</mat-icon>
		</button>
	</mat-list-item>
</mat-list>
